### Method

# Ggit Repository merge_base

#### Declaration [src]

    GgitOId*
    ggit_repository_merge_base (
      GgitRepository* repository,
      GgitOId* oid_one,
      GgitOId* oid_two,
      GError** error
    )

#### Description [src]

Find the merge base between two commits.

#### Parameters

`oid_one`

  Type: `GgitOId`

  The oid of one of the commits.

  The data is owned by the caller of the method.

`oid_two`

  Type: `GgitOId`

  The oid of the second of the commits.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitOId`

A new `GgitOId` or `NULL` if an error occurred.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.